%PR_SHOWDSETS Show datasets and store results in DSET

forget = {'Contents','mfeat_all'};
commands = struct2cell(dir('*.m'));
commands = commands(1,:);
L = strmatch('pr_',commands);
commands(L) = [];

for j=1:numel(commands)
  commands{j} = commands{j}(1:end-2);
end
for i=1:numel(forget)
  J = strcmp(forget{i},commands);
  commands(J) = [];
end
  
for j=1:numel(commands)
  a = feval(commands{j});
  [m,k,c] = getsize(a);
  fprintf('%6i %4i %4i %15s %s\n',m,k,c,commands{j},getname(a));
end

